Adobe to update Linux Flash Player

Talking about SolydXK, another distribution or totally off-topic but within the Rules ? It's the right place!
User avatar
patzy
Posts: 390
Joined: 15 Dec 2013 08:32
Location: Australia

Re: Adobe to update Linux Flash Player

Postby patzy » 16 Dec 2016 11:32

I went through all the commands you suggested.
There was 0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded (this is my Gramps program that is blacklisted).

On running apt install solydxk-flashplugin I got exactly the same response as before.

Code: Select all

apt install solydxk-flashplugin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package solydxk-flashplugin is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  solydxk-flashplugin-11


It is insisting that version 11 is the latest one and the new one is not available.
Could it be that it needs another name, such as solydxk-flashplugin-23 or some such?

Testing using 32bit SolydK
Pentium Dual CPU E2220 2Gb memory
Geoforce 8400 using Nouveau driver

User avatar
Schoelje
Site Admin
Posts: 8460
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Adobe to update Linux Flash Player

Postby Schoelje » 16 Dec 2016 11:43

Even with solydxk-flashplugin-11 installed I have no problem:

Code: Select all

$ apt install solydxk-flashplugin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  solydxk-flashplugin-11
The following NEW packages will be installed:
  solydxk-flashplugin
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Need to get 0 B/6,579 kB of archives.
After this operation, 703 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 152184 files and directories currently installed.)
Removing solydxk-flashplugin-11 (11.2.202.644xk1) ...
Selecting previously unselected package solydxk-flashplugin.
(Reading database ... 152181 files and directories currently installed.)
Preparing to unpack .../solydxk-flashplugin_24.0.0.186_i386.deb ...
Unpacking solydxk-flashplugin (24.0.0.186) ...
Processing triggers for mime-support (3.58) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Setting up solydxk-flashplugin (24.0.0.186) ...

Try to purge solydxk-flashplugin-11 (or any other flash package you have installed) manually before installing solydxk-flashplugin.


SolydXK needs you!
Development | Testing | Translations

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Adobe to update Linux Flash Player

Postby Zill » 16 Dec 2016 12:23

FWIW, when I run a simulation I get the following:

Code: Select all

roger@dino:~$ apt install -s solydxk-flashplugin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  solydxk-flashplugin-11
The following NEW packages will be installed:
  solydxk-flashplugin
0 upgraded, 1 newly installed, 1 to remove and 9 not upgraded.
Remv solydxk-flashplugin-11 [11.2.202.644xk1]
Inst solydxk-flashplugin (24.0.0.186 SolydXK:1/solydxk [i386])
Conf solydxk-flashplugin (24.0.0.186 SolydXK:1/solydxk [i386])

So solydxk-flashplugin v24 is in the repos.

patzy: You didn't post the outputs Schoelje requested:

Code: Select all

inxi -r
apt update
apt -s upgrade

If purging all other flash packages doesn't work then It might help us see what is going on if you post the above outputs.

User avatar
patzy
Posts: 390
Joined: 15 Dec 2013 08:32
Location: Australia

Re: Adobe to update Linux Flash Player

Postby patzy » 16 Dec 2016 12:46

Zill wrote:patzy: You didn't post the outputs Schoelje requested:

Code: Select all

inxi -r
apt update
apt -s upgrade

If purging all other flash packages doesn't work then It might help us see what is going on if you post the above outputs.


Here it is:

Code: Select all

inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://mirror.internode.on.net/pub/solydxk/repository/ solydxk main upstream import
           deb http://ftp.debian.org/debian/ jessie main contrib non-free
           deb http://security.debian.org/ jessie/updates main contrib non-free
           deb http://ftp.debian.org/debian/ jessie-backports main contrib non-free
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb http://dl.google.com/linux/chrome/deb/ stable main

And-

Code: Select all

apt update
Hit http://mirror.internode.on.net solydxk InRelease
Get:1 http://mirror.internode.on.net solydxk/main i386 Packages [29.4 kB]     
Ign http://dl.google.com stable InRelease                                     
Get:2 http://mirror.internode.on.net solydxk/upstream i386 Packages [20 B]     
Get:3 http://mirror.internode.on.net solydxk/import i386 Packages [7,767 B]   
Hit http://security.debian.org jessie/updates InRelease                       
Hit http://security.debian.org jessie/updates/non-free i386 Packages           
Hit http://security.debian.org jessie/updates/main i386 Packages     
Ign http://ftp.debian.org jessie InRelease                                     
Hit http://security.debian.org jessie/updates/contrib i386 Packages           
Hit http://dl.google.com stable Release.gpg                                   
Hit http://ftp.debian.org jessie-backports InRelease
Hit http://dl.google.com stable Release                                 
Hit http://ftp.debian.org jessie Release.gpg     
Get:4 http://ftp.debian.org jessie-backports/main i386 Packages/DiffIndex [27.8 kB]
Get:5 http://ftp.debian.org jessie-backports/contrib i386 Packages/DiffIndex [21.3 kB]
Get:6 http://ftp.debian.org jessie-backports/non-free i386 Packages/DiffIndex [14.8 kB]
Hit http://ftp.debian.org jessie Release
Hit http://ftp.debian.org jessie/main i386 Packages
Hit http://ftp.debian.org jessie/contrib i386 Packages
Hit http://ftp.debian.org jessie/non-free i386 Packages
Fetched 63.9 kB in 7s (8,431 B/s)                                             
W: There is no public key available for the following key IDs:
1397BC53640DB551
W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release  Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.

And finally-

Code: Select all

 apt -s upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... The following packages were automatically installed and are no longer required:
  libconfig9 libspeechd2
Use 'apt-get autoremove' to remove them.
Done
The following packages have been kept back:
  gramps
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.


I still use google chrome 32bit (for netflix) which accounts for most of the warning messages. And the not upgraded is my blacklisted Gramps version.

Removing version 11 makes no difference. I get the same message except the result now suggests installing version 11 as the solydxk-flashplugin can not be found.


I'm not far from the banging-head-against-wall stage.... :?

Testing using 32bit SolydK
Pentium Dual CPU E2220 2Gb memory
Geoforce 8400 using Nouveau driver

User avatar
grizzler
Posts: 1886
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Adobe to update Linux Flash Player

Postby grizzler » 16 Dec 2016 12:52

The mirrors haven't been updated (only checked NL and AU).
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Schoelje
Site Admin
Posts: 8460
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Adobe to update Linux Flash Player

Postby Schoelje » 16 Dec 2016 13:02

Again???
I've created an hourly cron job to start the rsync daemon. I hope that's going to solve this issue.
I really need to upgrade the server, but it's costly and time consuming. I hope I can do it in the first quarter next year.

The mirrors should be updated within 24hrs.


SolydXK needs you!
Development | Testing | Translations

User avatar
san-claudio
Posts: 156
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Adobe to update Linux Flash Player

Postby san-claudio » 16 Dec 2016 14:51

Je n'ai pas eu de problème à l'installation du paquet ' solydxk-flashplugin' fait il y a quelques jours...

Code: Select all

san-claudio@solydxk ~ $ sudo apt-get install solydxk-flashplugin
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  solydxk-flashplugin-11
Les NOUVEAUX paquets suivants seront installés :
  solydxk-flashplugin
0 mis à jour, 1 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 7 119 ko dans les archives.
Après cette opération, 580 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Réception de:1 http://repository.solydxk.com solydxk/main amd64 solydxk-flashplugin amd64 24.0.0.186 [7 119 kB]
7 119 ko réceptionnés en 8s (810 ko/s)                                                                                               
(Lecture de la base de données... 417831 fichiers et répertoires déjà installés.)
Suppression de solydxk-flashplugin-11 (11.2.202.644xk1) ...
Sélection du paquet solydxk-flashplugin précédemment désélectionné.
(Lecture de la base de données... 417828 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../solydxk-flashplugin_24.0.0.186_amd64.deb ...
Dépaquetage de solydxk-flashplugin (24.0.0.186) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1) ...
Paramétrage de solydxk-flashplugin (24.0.0.186) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-1) ...
san-claudio@solydxk ~ $ apt-cache policy solydxk-flashplugin
solydxk-flashplugin:
  Installé : 24.0.0.186
  Candidat : 24.0.0.186
 Table de version :
 *** 24.0.0.186 600
        600 http://repository.solydxk.com solydxk/main amd64 Packages
        100 /var/lib/dpkg/status
san-claudio@solydxk ~ $

User avatar
patzy
Posts: 390
Joined: 15 Dec 2013 08:32
Location: Australia

Re: Adobe to update Linux Flash Player

Postby patzy » 16 Dec 2016 21:44

grizzler wrote:The mirrors haven't been updated (only checked NL and AU).

I use the internode mirror in AU so this would account for my problem!

I will try again and if the package is not there I will switch to somewhere else.

Here's hoping!

A hour or so later:-

The mirror has just updated.
The flashplugin is downloaded and installed.
For the first time for years I can watch ABC iview with firefox! :clap:

Testing using 32bit SolydK
Pentium Dual CPU E2220 2Gb memory
Geoforce 8400 using Nouveau driver

User avatar
eselma
Posts: 154
Joined: 24 Mar 2013 09:55
Location: Catalonia

Re: Adobe to update Linux Flash Player

Postby eselma » 18 Dec 2016 18:59

Just installed solydxk-flashplugin 24,0,0,186 instead of ver. 11.0. It works like a charm.
My main repo is

Code: Select all

ftp.nluug.nl/os/Linux/distr/solydxk/repository/

Yes, I know that flash is insecure and obsolete, but still there are some websites using it.


Return to “Open Chat / General Discussion”

Who is online

Users browsing this forum: No registered users and 1 guest